"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.YouboraConnector = void 0;
var _YouboraConnectorAdapter = require("../internal/YouboraConnectorAdapter");
class YouboraConnector {
  /**
   * Create YouboraConnector
   *
   * @public
   */
  constructor(player, options, debugLevel) {
    this.connectorAdapter = new _YouboraConnectorAdapter.YouboraConnectorAdapter(player, options, debugLevel);
  }

  /**
   * Change log level.
   * @param level
   */
  setDebugLevel(level) {
    this.connectorAdapter.setDebugLevel(level);
  }

  /**
   * Stops video and ad analytics and closes all sessions.
   *
   * @public
   */
  destroy() {
    this.connectorAdapter.destroy();
  }
}
exports.YouboraConnector = YouboraConnector;
//# sourceMappingURL=YouboraConnector.js.map