"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useYoubora = useYoubora;
var _reactNativeTheoplayer = require("react-native-theoplayer");
var _react = require("react");
var _YouboraConnector = require("../YouboraConnector");
function useYoubora(options, logLevel) {
  const connector = (0, _react.useRef)();
  const theoPlayer = (0, _react.useRef)();
  const initialize = player => {
    // Optionally destroy existent connector
    onDestroy();
    theoPlayer.current = player;
    if (player) {
      connector.current = new _YouboraConnector.YouboraConnector(player, options, logLevel);
      player.addEventListener(_reactNativeTheoplayer.PlayerEventType.DESTROY, onDestroy);
    } else {
      throw new Error('Invalid THEOplayer instance');
    }
  };
  const onDestroy = () => {
    if (connector.current) {
      if (!theoPlayer.current) {
        throw new Error('Invalid THEOplayer instance');
      }
      theoPlayer.current.removeEventListener(_reactNativeTheoplayer.PlayerEventType.DESTROY, onDestroy);
      connector.current.destroy();
      connector.current = undefined;
    }
  };
  (0, _react.useEffect)(() => {
    return onDestroy;
  }, []);
  return [connector, initialize];
}
//# sourceMappingURL=useYoubora.js.map