import { YouboraConnectorAdapter } from '../internal/YouboraConnectorAdapter';
export class YouboraConnector {
  /**
   * Create YouboraConnector
   *
   * @public
   */
  constructor(player, options, debugLevel) {
    this.connectorAdapter = new YouboraConnectorAdapter(player, options, debugLevel);
  }

  /**
   * Change log level.
   * @param level
   */
  setDebugLevel(level) {
    this.connectorAdapter.setDebugLevel(level);
  }

  /**
   * Stops video and ad analytics and closes all sessions.
   *
   * @public
   */
  destroy() {
    this.connectorAdapter.destroy();
  }
}
//# sourceMappingURL=YouboraConnector.js.map